Package org.jfree.layouting.modules.output.graphics

## Interface PageDrawable

- All Known Implementing Classes:
    `LogicalPageDrawable`, `PhysicalPageDrawable`

      public interface PageDrawable

  Creation-Date: 10.11.2006, 19:28:15
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `draw​(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` | Draws the object.
    `java.awt.print.PageFormat` | `getPageFormat​()` | Describes the physical output characteristics like page size, margins, and imaginable area.
    `java.awt.Dimension` | `getPreferredSize​()` | Returns the preferred size of the drawable.
    `boolean` | `isPreserveAspectRatio​()` | Returns true, if this drawable will preserve an aspect ratio during the drawing.

- - ### Method Detail

    - #### getPageFormat

          java.awt.print.PageFormat getPageFormat​()

      Describes the physical output characteristics like page size, margins, and imaginable area.
      Returns:

    - #### getPreferredSize

          java.awt.Dimension getPreferredSize​()

      Returns the preferred size of the drawable. If the drawable is aspect ratio aware, these bounds should be used to compute the preferred aspect ratio for this drawable.
      Returns:
        the preferred size.

    - #### isPreserveAspectRatio

          boolean isPreserveAspectRatio​()

      Returns true, if this drawable will preserve an aspect ratio during the drawing.
      Returns:
        true, if an aspect ratio is preserved, false otherwise.

    - #### draw

          void draw​(java.awt.Graphics2D g2,
                    java.awt.geom.Rectangle2D area)

      Draws the object.
      Parameters:
        `g2` - the graphics device.
        `area` - the area inside which the object should be drawn.